Subject: Re: [PATCH v2 1/2] repo: add a default output format to enum output_format

From: Lucas Seiki Oshiro <[email-masked]>
Date: Wed, 7 Jan 2026 18:28:59 -0300

> This is missing a test.

Indeed, I'll add a test for `--format=default`.

> It would for example be nice to verify that
> "--format=nul --format=default" does the expected thing.

Would it be necessary? We already have a test asserting that the
last "--format" wins:

test_expect_success 'git repo info uses the last requested format' '
	echo "layout.bare=false" >expected &&
	git repo info --format=nul -z --format=keyvalue layout.bare >actual &&
	test_cmp expected actual
'

> Also, I didn't see `git repo structure` being updated. Should we do that
> so that both subcommands know to handle the "default" format?

Sure! I'll do that!